util.ui.html

## Class ExtendedHTMLDocument.ExtendedHTMLReader

- java.lang.Object
- - javax.swing.text.html.HTMLEditorKit.ParserCallback
  - - javax.swing.text.html.HTMLDocument.HTMLReader
    - - util.ui.html.ExtendedHTMLDocument.ExtendedHTMLReader

- Enclosing class:
    ExtendedHTMLDocument

      protected class ExtendedHTMLDocument.ExtendedHTMLReader
      extends javax.swing.text.html.HTMLDocument.HTMLReader

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.html.HTMLDocument.HTMLReader

      `javax.swing.text.html.HTMLDocument.HTMLReader.BlockAction, javax.swing.text.html.HTMLDocument.HTMLReader.CharacterAction, javax.swing.text.html.HTMLDocument.HTMLReader.FormAction, javax.swing.text.html.HTMLDocument.HTMLReader.HiddenAction, javax.swing.text.html.HTMLDocument.HTMLReader.IsindexAction, javax.swing.text.html.HTMLDocument.HTMLReader.ParagraphAction, javax.swing.text.html.HTMLDocument.HTMLReader.PreAction, javax.swing.text.html.HTMLDocument.HTMLReader.SpecialAction, javax.swing.text.html.HTMLDocument.HTMLReader.TagAction`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.html.HTMLDocument.HTMLReader

      `charAttr, parseBuffer`

    - ### Fields inherited from class javax.swing.text.html.HTMLEditorKit.ParserCallback

      `IMPLIED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedHTMLDocument.ExtendedHTMLReader(int offset, int popDepth, int pushDepth, javax.swing.text.html.HTML.Tag insertTag)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleSimpleTag(javax.swing.text.html.HTML.Tag tag, javax.swing.text.MutableAttributeSet attributeSet, int pos)` Callback from the parser.

    - ### Methods inherited from class javax.swing.text.html.HTMLDocument.HTMLReader

      `addContent, addContent, addSpecialElement, blockClose, blockOpen, flush, handleComment, handleEndOfLineString, handleEndTag, handleStartTag, handleText, popCharacterStyle, preContent, pushCharacterStyle, registerTag, textAreaContent`

    - ### Methods inherited from class javax.swing.text.html.HTMLEditorKit.ParserCallback

      `handleError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedHTMLDocument.ExtendedHTMLReader

          public ExtendedHTMLDocument.ExtendedHTMLReader(int offset,
                                                 int popDepth,
                                                 int pushDepth,
                                                 javax.swing.text.html.HTML.Tag insertTag)

  - ### Method Detail

    - #### handleSimpleTag

          public void handleSimpleTag(javax.swing.text.html.HTML.Tag tag,
                             javax.swing.text.MutableAttributeSet attributeSet,
                             int pos)

      Callback from the parser. Route to the appropriate handler for the tag.
      Overrides:
        `handleSimpleTag` in class `javax.swing.text.html.HTMLDocument.HTMLReader`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)